<?php

function mkk_render_partial($view, $domain = 'public', $variables = array(), $return = false)
{
    $result = MKKView::getPartial($view, $domain, $variables);

    if ($return) {
        return $result;
    } else {
        echo $result;
    }
}

function mkk_user_favorites($user_id = null): array
{
    global $wpdb;
    if (is_null($user_id)) {
        $user_id = get_current_user_id();
    }
    $cache_key = 'mkk_user_favorites_' . $user_id;
    $result = wp_cache_get($cache_key);

    if ($result === false) {
        $result = $wpdb->get_col(
            "SELECT product_id FROM {$wpdb->prefix}memberlux_favorites WHERE user_id = $user_id") ?: [];
        wp_cache_set($cache_key, $result);
    }

    return $result;
}

function mkk_is_favorite($product_id = null, $user_id = null): bool
{
    if (is_null($user_id)) {
        $user_id = get_current_user_id();
    }
    if (is_null($product_id)) {
        $product_id = get_the_ID();
    }

    return in_array($product_id, mkk_user_favorites($user_id));
}

function mkk_is_favorite_page(): bool {
    global $wp_query;

    return isset($wp_query->query_vars['favorites']);
}

function mkk_is_my_courses_page(): bool {
    global $wp_query;

    return isset($wp_query->query_vars['my_courses']);
}

function mkk_show_favorite(): bool {
    return is_user_logged_in() && (wpm_option_is('mkk.favorite_show_in_page', 'on')
        || wpm_option_is('mkk.favorite_show_in_menu', 'on'));
}
