<?php wpm_render_partial('head', 'base', array('post' => null)) ?>
<?php mblp_render_partial('partials/js'); ?>
<?php wpm_render_partial('navbar') ?>

<div class="site-content mblp-site-content">
    <?php wpm_render_partial('header-cover'); ?>
    <?php mkk_render_partial('partials/breadcrumbs'); ?>
    <?php mkk_render_partial('partials/nav'); ?>
    <section class="clearfix">
        <div class="container">
            <div class="row shop-row">
                <?php
                if (have_posts()) {
                    while (have_posts()) {
                        the_post();
                        $product_id = get_the_ID();
                        $_product = wc_get_product($product_id);
                        $type = is_callable(array($_product, 'get_mbl_preview_type'))
                            ? $_product->get_mbl_preview_type() : 'folder-with-files';
                        $cart_item_key = $product_id;
                        $name = (!wpm_option_is('mkk_design.product_content.disable_title', 'on')
                            && is_callable(array($_product, 'getProductName'))) ? $_product->getProductName(true) : '';

                        if (is_callable(array($_product, 'has_access')) && $_product->has_access()) {
                            mkk_render_partial(
                                'single-product/product',
                                'public',
                                ['_product' => $_product, 'type' => $type, 'cart_item_key' => $cart_item_key]
                            );
                        }
                    }
                } else {
                    ?>
                    <div class="shop-empty">
                        <?php if (mkk_is_favorite_page()): ?>
                            <p>
                                <?= wpm_get_option('favorite_empty_text', 'Раздел избранного пока пуст'); ?>
                            </p>
                        <?php elseif (mkk_is_my_courses_page()): ?>
                            <p>
                                <?= wpm_get_option('my_courses_empty_text', 'Раздел доступных курсов пока пуст'); ?>
                            </p>
                        <?php else: ?>
                            <p><?php _e('По запросу ничего не найдено', 'mbl_admin'); ?></p>
                        <?php endif; ?>
                    </div>
                    <?php
                }
                wp_reset_postdata();
                ?>
            </div>
            <?php
            global $wp_query;
            $paged = $wp_query->query_vars['paged'] ?: 1;
            $base = mkk_is_favorite_page() ? 'favorites' : 'my-courses';
            if (have_posts()) {
                mkk_render_partial('partials/pagination', 'public',
                    ['page' => $paged,
                        'total' => $wp_query->max_num_pages,
                        'base' => "/$base/"
                    ]);
            }
            ?>
        </div>
    </section>

</div>


<?php wpm_render_partial('footer') ?>
<?php wpm_render_partial('footer-scripts') ?>
<?php mkk_render_partial('partials/shop-scripts') ?>
