<?php if (function_exists('WC') && wpm_get_option('mkk.show_in_menu') == 'on') { ?>

    <?php if (wpm_get_option('mkk.use_product_category') == 'off') { ?>

        <a class="nav-item shop-menu user-registration-button"
           href="<?php echo get_permalink(woocommerce_get_page_id('shop')); ?>"
           title="<?php echo wpm_get_option('mkk_texts.menu_name'); ?>"
           class="<?= is_shop() && !mkk_is_favorite_page() && !mkk_is_my_courses_page() ? ' mkk_nav_current' : '' ?>">
            <span class="iconmoon icon-star"></span>
            <?php echo wpm_get_option('mkk_texts.menu_name'); ?>
        </a>

    <?php } else { ?>

        <?php
        $categories = get_terms([
            'taxonomy' => 'product_cat',
            'orderby' => 'meta_value_num',
            'meta_query' => array(
                [
                    'key' => 'order'
                ]
            ),
            'order' => 'ASC',
            'hide_empty' => 1,
            'hierarchical' => 1,
            'number' => 0,
            'pad_counts' => false,
            // полный список параметров смотрите в описании функции http://wp-kama.ru/function/get_terms
        ]);
        ?>

        <div class="dropdown nav-item navbar-right shop-menu-dropdown user-registration-button" data-dropdown-backdrop>
            <a id="shop-dropdown" class="dropdown-button dropdown-toggle shop-menu<?=
            is_shop() && !mkk_is_favorite_page() && !mkk_is_my_courses_page() ? ' mkk_nav_current' : '' ?>"
               aria-haspopup="true" aria-expanded="false" data-toggle="dropdown">
                <span class="nav-icon iconmoon icon-star"></span>
                <?php echo wpm_get_option('mkk_texts.menu_name'); ?>
                <span class="caret"></span>
            </a>

            <ul class="dropdown-menu" aria-labelledby="shop-dropdown">

                <?php
                if ($categories) {
                    foreach ($categories as $cat) {
                        ?>
                        <li>
                            <?php
                            if (!function_exists('mkk_product_cat_link')) {
                                $link = get_term_link($cat->slug, 'product_cat');
                            } else {
                                $link = mkk_product_cat_link($cat);
                            }
                            ?>
                            <a href="<?= $link ?>">
                                <?php echo $cat->name; ?>
                            </a>
                        </li>
                        <?php
                    }
                }
                ?>

            </ul>
        </div>
    <?php } ?>
    <?php if (wpm_option_is('mkk.favorite_show_in_menu', 'on') && is_user_logged_in()): ?>
        <a href="<?= home_url('/favorites/'); ?>"
           title="<?= esc_attr(wpm_get_option('mkk_texts.favorite_text', 'Избранное')) ?>"
           aria-label="<?= esc_attr(wpm_get_option('mkk_texts.favorite_text', 'Избранное')) ?>"
           class="nav-item shop-menu-item<?= mkk_is_favorite_page() ? ' mkk_nav_current' : '' ?>">
            <span class="nav-icon iconmoon nav-icon-no-text fa fa-heart"></span>
        </a>
    <?php endif; ?>
    <?php if (wpm_option_is('mkk.available_show_in_menu', 'on') && is_user_logged_in()): ?>
        <a href="<?= home_url('/my-courses/'); ?>"
           class="nav-item shop-menu-item<?= mkk_is_my_courses_page() ? ' mkk_nav_current' : '' ?>"
           title="<?= esc_attr(wpm_get_option('mkk_texts.available_text', 'Доступные курсы')) ?>"
           aria-label="<?= esc_attr(wpm_get_option('mkk_texts.available_text', 'Доступные курсы')) ?>"
        >
            <span class="nav-icon iconmoon nav-icon-no-text mkk_icon_available fa fa-unlock"></span>
        </a>
    <?php endif; ?>

<?php } ?>
