<?php /**
 * @var WC_Product $_product
 * @var string $type
 * @var $cart_item_key
 */ ?>
<div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
    <div class="shop-single-product">
        <div class="product-image-wrapper">
            <?php if(mkk_show_favorite()): ?>
                <button type="button" class="mkk_favorites<?= mkk_is_favorite() ? ' mkk_favorites--active' : '' ?>"
                        aria-label="Добавить в избранное"
                        data-favorite="<?= get_the_ID() ?>">
                    <span class="mkk_favorites_icon fa <?= mkk_is_favorite() ? 'fa-heart' : 'fa-heart-o' ?>"></span>
                </button>
            <?php endif; ?>
            <?php do_action('catalog_product_item_img', $_product); ?>
            <div class="image-ratio">
				<?php mblp_render_partial('cart/preview/' . $type, 'public',  compact('_product', 'cart_item_key')) ?>
            </div>

			<?php
				$time_to = MKKProduct::getMaxProductAccessTime($_product);
				$text = __('Курс доступен', 'mbl');
			?>
            <?php if ($time_to && $time_to !== 'unlimited') : ?>
                <?php mkk_render_partial('single-product/countdown', 'public',  compact('_product', 'time_to', 'text')); ?>
            <?php elseif($time_to === 'unlimited') : ?>
                <?php mkk_render_partial('single-product/countdown-unlimited'); ?>
            <?php else : ?>
                <?php do_action('catalog_no_countdown', $_product); ?>
            <?php endif; ?>
        </div>

        <?php echo apply_filters('mkk_render_product_info', mkk_render_partial('partials/product-info', 'public', compact('_product'), true), $_product) ?>

		<?php
			$href = get_post_meta( get_the_ID() , 'mkk_cart_url_type' , true  ) == '1' ?
				get_post_meta( get_the_ID() , 'mkk_cart_url' , true  ) :
				$_product->get_add_to_cart_sample_url();
		?>
        <?php echo apply_filters('mkk_product_render_add_to_cart_btn', $_product, $href); ?>

		<?php
			if (get_post_meta( get_the_ID() , 'mkk_about_url_type' , true  ) == '1') {
				$href = get_post_meta( get_the_ID() , 'mkk_about_url' , true  );
			} else {
				$rubric_id = get_post_meta( get_the_ID() , 'mkk_about_level_id' , true  );
				$href = get_category_link($rubric_id);
			}
		?>

        <a href="<?php echo $href ?>" class="broduct-btn about-btn" target="<?php echo wpm_get_option('mkk.btn_about_course_target'); ?>">
			<?php echo wpm_get_option('mkk_texts.btn_about_course_name'); ?>
        </a>


		<?php
			//Go to lessons btn
			if (get_post_meta( get_the_ID() , 'mkk_lessons_url_type' , true  ) == '1') {
				$href = get_post_meta( get_the_ID() , 'mkk_lessons_url' , true  );
			} else {
				$rubric_id = get_post_meta( get_the_ID() , 'mkk_rubric_id' , true  );
				$href = get_category_link($rubric_id);
			}
		?>
        <a href="<?php echo $href ?>" class="broduct-btn to-lessons-btn" target="<?php echo wpm_get_option('mkk.btn_go_to_lessons_target'); ?>">
			<?php echo wpm_get_option('mkk_texts.btn_go_to_lessons_name'); ?>
        </a>
    </div>
</div>
